| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::TranslatorOperator Class Referenceabstract

`#include <core-data.hpp>`

Inheritance diagram for helics::TranslatorOperator:

## Public Member Functions
| TranslatorOperator ()=default
virtual | ~TranslatorOperator ()=default
virtual SmallBuffer | convertToValue (std::unique_ptr< Message > message)=0
virtual std::unique_ptr< Message > | convertToMessage (const SmallBuffer &value)=0
virtual Time | computeNewMessageTime (Time valueTime)
virtual Time | computeNewValueTime (Time messageTime)

## Public Attributes
Time | minDelay {Time::epsilon()}

## Detailed Description

TranslatorOperator abstract class

TranslatorOperators will perform the conversion from a value to message and vice versa

## Constructor & Destructor Documentation

## ◆ TranslatorOperator()

helics::TranslatorOperator::TranslatorOperator | ( |  | ) |
| default

default constructor

## ◆ ~TranslatorOperator()

virtual helics::TranslatorOperator::~TranslatorOperator | ( |  | ) |
| virtual default

virtual destructor

## Member Function Documentation

## ◆ computeNewMessageTime()

virtual Time helics::TranslatorOperator::computeNewMessageTime | ( | Time | valueTime | ) |
| inline virtual

generate a new time for the message based on the value time

## ◆ computeNewValueTime()

virtual Time helics::TranslatorOperator::computeNewValueTime | ( | Time | messageTime | ) |
| inline virtual

generate a new time for the value based on the message time

## ◆ convertToMessage()

virtual std::unique_ptr<Message> helics::TranslatorOperator::convertToMessage | ( | const SmallBuffer & | value | ) |
| pure virtual

convert a value to a message

Implemented in helics::NullTranslatorOperator.

## ◆ convertToValue()

virtual SmallBuffer helics::TranslatorOperator::convertToValue | ( | std::unique_ptr< Message > | message | ) |
| pure virtual

convert a message to a value

Implemented in helics::NullTranslatorOperator.

The documentation for this class was generated from the following file:

- core-data.hpp